commit:     bbd55bc1b7769fb15f300a6b7c977ee5e8a30f39
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 19 03:02:30 2016 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Sep 19 03:02:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbd55bc1

dev-python/aiohttp: version bump to 1.0.1 (bug 594166)

Package-Manager: portage-2.3.0

 dev-python/aiohttp/Manifest             |  1 +
 dev-python/aiohttp/aiohttp-1.0.1.ebuild | 59 +++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index a92b1ad..d5a4141 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -2,3 +2,4 @@ DIST aiohttp-0.21.5.tar.gz 529005 SHA256 
bac5c883721e0818e405597d2778f08a38cc097
 DIST aiohttp-0.22.2.tar.gz 475062 SHA256 
30b588573c88942dac7438509731e197d74552060547b79cf6ace8564ee4b277 SHA512 
405a706e112500110d89cfaed7bd1696a8af391bcfcacd47649d098f5216d74427b8b8628e5402e137eb599628170d03c58877742fa427d450d80c7cd66abf96
 WHIRLPOOL 
4f98e513387995ed2ece5377e4be3648d831ccecdce0bd86a5d800437cf681dd9b6fdc1a4b23be389bef154e87c8c5b668e378cebf3d0a45936329e000742e84
 DIST aiohttp-0.22.4.tar.gz 475257 SHA256 
167ec7373a3319419834e6c61846b7267c5fc6748b9dd2504b7e9378b55afcdd SHA512 
04efa2b714c0c310b24b092af8d5c7e766ccfbc888f969b2d2f99ac57a478056f66662aa793f319783b8c12605bbee8c5ba283bb8b10fd34497a583b886e8aa1
 WHIRLPOOL 
d827932ccfb19290ae1f6f1b3551da29c255640f309d1e776723e825e0a7580b830b0bd836e9c33ce3859d5e21955211f1d2e6830cff89e1cf9df8082a04b8af
 DIST aiohttp-0.22.5.tar.gz 475312 SHA256 
9c51af030c866f91e18a219614e39d345db4483ed9860389d0536d74d04b0d3b SHA512 
919818445590b386b40edd05e8a58fac0b1b2993fe82faf95e10b53b5c0b3b464e92ea2484bc1929cb737351f3629b77a4ff67788248e19d69eb638bbf44a5e3
 WHIRLPOOL 
45e2c0fc3aab759ac1e95bc25d1983aa1c874c07595af7cb48af0e4e43b01fbe69a56c22216d0c4ba13da53c5e0172e95916e0c87bb0bb7a7630c8d631aa0152
+DIST aiohttp-1.0.1.tar.gz 498972 SHA256 
f5133431d66ef8838f40d233b0fc9e4b9e69616560cbedb89317d551dcc42e41 SHA512 
3744186d259563d21e5a7a3c5969f24178a442b1482a98d1d45e132dc4d889c55b9ff3da4394acbcca2dc9c7c78b7eb857cb2467c0faec54e11832db909760f6
 WHIRLPOOL 
cbc31efafa28e17375fc795a053878ddc6978c36926e4ce250bb06ae39f332ed1f2e4ec255a19e334bc994cd5707c2ac1ade48c4089546e432c16b8527374daf

diff --git a/dev-python/aiohttp/aiohttp-1.0.1.ebuild 
b/dev-python/aiohttp/aiohttp-1.0.1.ebuild
new file mode 100644
index 00000000..17bce77
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-1.0.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+PYTHON_COMPAT=( python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="http client/server for asyncio"
+HOMEPAGE="https://pypi.python.org/pypi/aiohttp";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+EGIT_REPO_URI="https://github.com/KeepSafe/aiohttp";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+CDEPEND="
+       dev-python/aiodns[${PYTHON_USEDEP}]
+       dev-python/async_timeout[${PYTHON_USEDEP}]
+       dev-python/chardet[${PYTHON_USEDEP}]
+       >=dev-python/multidict-2[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cython[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-asyncio[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-newsfeed[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-spelling[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               www-servers/gunicorn[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       PYTHONPATH="$(pwd):${PYTHONPATH}" ${PYTHON} -m pytest tests/ || die 
"Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       use examples && local EXAMPLES=( examples/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to